## last-align 393

=== doc/Makefile ===
# Rules for converting the txt documents to html.

DOCS = FAQ.html bisulfite.html last-map-probs.html			\
last-pair-probs.html last-split.html last-tutorial.html last.html	\
maf-convert.html maf-cull.html

all: ${DOCS}

${DOCS}: last-doc.css Makefile

.SUFFIXES: .html .txt

# Below, we face 2 problems:
# 1. Figure out where html4css1.css is.
# 2. Work with rst2html version 0.4.1, which only allows one stylesheet-path.

# Ugh!  Is there a better way?
RST_CSS = `locate html4css1.css | head -n1`

.txt.html:
	cat ${RST_CSS} last-doc.css | rst2html --stylesheet-path=/dev/stdin --initial-header-level=2 --no-doc-info $< $@

## last-align 102

=== debian/changelog ===
last-align (102-1) unstable; urgency=low

  * New upstream version
  * debian/rules: scripts/maf2tab.py was removed -> do not try to
    create manpage for this script
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Mar 2010 12:29:16 +0200

last-align (99-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 11 Mar 2010 15:38:23 +0100

last-align (96-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 18 Feb 2010 14:43:15 +0100

last-align (87-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2009 10:47:02 +0100

last-align (70-1) unstable; urgency=low

  * New upstream version
  * Removed quilt dependency because upstream has applied patches
  * help2man for all scripts
    TODO: Write real manpages using the comments inside the scripts.
    Upstream confirmed that there are no immediate plans for further
    changes so writing static man pages seems to make sense

 -- Andreas Tille <tille@debian.org>  Mon, 05 Oct 2009 11:56:25 +0200

last-align (62-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Added myself to upstream
    - Standards-Version: 3.8.3
    - Build-Depends: help2man, quilt, python-imaging
    - Recommends: python-imaging
  * debian/rules: Try to create manpages via help2man wherever possible
  * debian/patches: Make sure help output goes to stdout as GNU coding
    style suggests and is needed by help2man

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2009 13:38:57 +0200

last-align (58-1) unstable; urgency=low

  * New upstream release able to use sequence quality scores. 

 -- Charles Plessy <plessy@debian.org>  Fri, 19 Jun 2009 20:47:02 +0900

last-align (52-1) unstable; urgency=low

  * New upstream releases (52 and 51). 
    - Added maf2html.py: converts MAF-format alignments to coloured HTML format.
    - Made lastal gapped extension faster, by removing an assert (surprising).
    - Bugfix: made last-dotplot.py not crash on small sequences.

 -- Charles Plessy <plessy@debian.org>  Mon, 18 May 2009 23:52:24 +0900

last-align (50-1) unstable; urgency=low

  * New upstream release (minor changes).

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Apr 2009 09:59:54 +0900

last-align (48-1) unstable; urgency=low

  * New upstream release.
    - maf-join.py: joins pairwise alignments into multiple alignments.
    - Changed lastal default gap existence cost for DNA to 7.
    - Changed lastal default gapped score threshold for DNA to 40.
    - maf-swap.py: Added -n option to move any sequence to the top.
    - Allow suffixes K(ibibyte), M(ebibyte), and G(ibibyte) for sizes.
    - Plus other bugfixes and improvements, please refer Upstream's changelog.
  * Incremented Standards-Version in debian/control to reflect conformance
    with Policy 3.8.1 (no changes needed).
  * Simplified machine-readable debian/copyright file.
  * last-align.doc-base.last-align-scripts: last-scripts.txt is now compressed. 

 -- Charles Plessy <plessy@debian.org>  Wed, 08 Apr 2009 19:31:28 +0900

last-align (42-1) unstable; urgency=low

  * New upstream release:
    - Corrects an overflow error that made lastal discard some gapped
      alignments.
    - Allows lastal options to be set in the score-matrix file.
  * debian/copyright refreshed and points directly to GPLv3.
  * Corrected the description in debian/control to not use
    the first person.

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Mar 2009 19:46:32 +0900

last-align (39-1) unstable; urgency=low

  * New upstream release.
    - Bugfix: for protein alignments, tyrosine was forbidden in initial
      matches.
    - *Old lastdb protein databases won't work properly: you need to re-run
      lastdb.*
  * Added debian/NEWS.Debian to indicate the backward incompatibility.
  * Debian/changelog: removed vanity entries and incremented copyright year.
  * Transferred informations about packaging practices and repository from
    README.source to README.Debian.

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Feb 2009 12:42:26 +0900

last-align (37-1) unstable; urgency=low

  * New upstream release. 
    - Updated the documentation, including a table of optimal spaced seeds.
    - Made lastdb bucket-making code slightly simpler & faster.
    - Enabled reading & writing of huge files (at least on one system with
      Linux-2.6.13/x86_64/gcc-4.0.2).
    - Made lastdb radix sort a bit faster, with the oracle array trick.
    - Allowed the mismatch score to be zero, due to a request.
    - Made gaped extension faster for short sequences (e.g. tag mapping).
    - Bugfix: the sequence names weren't printed correctly for
      match-counting output (-j 0).
    - Fixed compiler warnings with gcc 4.3.

 -- Charles Plessy <plessy@debian.org>  Sun, 28 Dec 2008 12:49:05 +0100

last-align (31-1) unstable; urgency=low

  * Initial release (Closes: #498562)

 -- Charles Plessy <plessy@debian.org>  Thu, 13 Nov 2008 15:44:31 +0900

=== debian/control ===
Source: last-align
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), cdbs, help2man, python-imaging
Standards-Version: 3.8.4
Homepage: http://last.cbrc.jp/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/last-align/trunk/

Package: last-align
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python, python-imaging
Description: genome-scale comparison of biological sequences
 LAST is software for comparing and aligning sequences, typically DNA or
 protein sequences. LAST is similar to BLAST, but it copes better with very
 large amounts of sequence data. Here are two things LAST is good at:
 .
  * Comparing large (e.g. mammalian) genomes.
  * Mapping lots of sequence tags onto a genome.
 .
 The main technical innovation is that LAST finds initial matches based on
 their multiplicity, instead of using a fixed size (e.g. BLAST uses 11-mers).
 This allows to map tags to genomes without repeat-masking, without becoming
 overwhelmed by repetitive hits. To find these variable-sized matches, it uses
 a suffix array (inspired by Vmatch). To achieve high sensitivity, it uses a
 discontiguous suffix array, analogous to spaced seeds.

=== debian/rules ===
#!/usr/bin/make -f

# This package is maintained by the Debian Med packaging team. Please refer to
# our group policy if you would like to commit to our Subversion repository. All
# Debian developpers have write acces to it.
# 
# http://debian-med.alioth.debian.org/docs/policy.html

include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET   = --directory src

pkg=last-align
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/

clean::
	$(RM) src/lastdb src/lastal src/*.o

binary-fixup/$(pkg)::
	prename 's/.py$$//' debian/$(pkg)/usr/bin/*py
	prename 's/.sh$$//' debian/$(pkg)/usr/bin/*sh
	mv debian/$(pkg)/usr/share/doc/$(pkg)/ChangeLog.txt.gz debian/$(pkg)/usr/share/doc/$(pkg)/changelog.gz

# try to create man pages whereever possible
build/$(pkg)::
	mkdir -p $(mandir)
	help2man --no-info --name='make a dotplot, a.k.a. Oxford Grid, of alignments in LAST tabular format' \
	    --version-string="$(version)" \
	         $(CURDIR)/scripts/last-dotplot.py > $(mandir)/last-dotplot.1
	help2man --no-info --name="genome-scale comparison of biological sequences" \
	    --version-string="$(version)" --help-option="-h" \
                 $(CURDIR)/src/lastal > $(mandir)/lastal.1
	help2man --no-info --name="genome-scale comparison of biological sequences" \
	    --version-string="$(version)" --help-option="-h" \
                 $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
	help2man --no-info --version-string="$(version)" \
                 --name="Sort MAF-format alignments by sequence name" \
                 $(CURDIR)/scripts/maf-sort.sh > $(mandir)/maf-sort.1
	help2man --no-info --version-string="$(version)" \
                 --name="changes the order of the sequences in MAF-format alignments" \
                 $(CURDIR)/scripts/maf-swap.py > $(mandir)/maf-swap.1
	help2man --no-info --version-string="$(version)" \
                 --name="converts MAF-format alignments to a human-friendly HTML format" \
                 $(CURDIR)/scripts/maf2html.py > $(mandir)/maf2html.1
	help2man --no-info --version-string="$(version)" \
                 --name="Add extra column with mapping probabilities" \
                 $(CURDIR)/scripts/last-map-probs.py > $(mandir)/last-map-probs.1
	help2man --no-info --version-string="$(version)" \
                 --name="Clean up MAF-format alignments" \
                 $(CURDIR)/scripts/last-reduce-alignments.sh > $(mandir)/last-reduce-alignments.1
	help2man --no-info --version-string="$(version)" \
                 --name='Remove MAF-format alignments which are "dominated" by others' \
                 $(CURDIR)/scripts/last-remove-dominated.py > $(mandir)/last-remove-dominated.1
	help2man --no-info --version-string="$(version)" \
                 --name="Join two or more sets of MAF-format multiple alignments" \
                 $(CURDIR)/scripts/maf-join.py > $(mandir)/maf-join.1

# The unzip command from the unzip package is needed for this one.
# Please update debian/changelog before calling this target.
get-orig-source:
	[ -f ../last-$(DEB_UPSTREAM_VERSION).zip ] || uscan --force-download
	unzip ../last-$(DEB_UPSTREAM_VERSION).zip -d..
	tar --create --gzip --file ../$(pkg)_$(DEB_UPSTREAM_VERSION).orig.tar.gz ../last-$(DEB_UPSTREAM_VERSION)

## last-align 128

=== debian/changelog ===
last-align (128-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jul 2010 12:12:04 +0200

last-align (119-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version.
  * debian/rules get-orig-source:
  * Pass --best and --no-name to gzip, for reproductible MD5 sums.
  * Add ‘.orig’ to the repacked directory, to conform with the Debian
    Developer’s Reference (§ 6.7.8.2.4).
  * Build-depend on help2man (>= 1.36.4+nmu1), since the option
    --version-string is not available earlier.
  * Added missing empty line in debian/NEWS.
  * Gathered information about upstream in debian/upstream-metadata.yaml.

  [ Andreas Tille ]
  * debian/last-align.doc-base.last-align-lastex:
    Upstream documentation evalue-tables.txt was replaced by lastex.txt
  * debain/rules:
    Added help2man call for maf-convert

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jun 2010 11:41:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, help2man, python-imaging
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
+Standards-Version: 3.9.0
 Homepage: http://last.cbrc.jp/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/last-align/trunk/

=== debian/rules ===
--- 
+++ 
@@ -57,10 +57,14 @@
 	help2man --no-info --version-string="$(version)" \
                  --name="Join two or more sets of MAF-format multiple alignments" \
                  $(CURDIR)/scripts/maf-join.py > $(mandir)/maf-join.1
+	help2man --no-info --version-string="$(version)" \
+                 --name="Convert MAF-format alignments to tabular format" \
+                 $(CURDIR)/scripts/maf-convert.py > $(mandir)/maf-convert.1
 
 # The unzip command from the unzip package is needed for this one.
 # Please update debian/changelog before calling this target.
 get-orig-source:
 	[ -f ../last-$(DEB_UPSTREAM_VERSION).zip ] || uscan --force-download
 	unzip ../last-$(DEB_UPSTREAM_VERSION).zip -d..
-	tar --create --gzip --file ../$(pkg)_$(DEB_UPSTREAM_VERSION).orig.tar.gz ../last-$(DEB_UPSTREAM_VERSION)
+	mv ../last-$(DEB_UPSTREAM_VERSION) ../last-$(DEB_UPSTREAM_VERSION).orig
+	GZIP="--best --no-name" tar --create --gzip --file ../$(pkg)_$(DEB_UPSTREAM_VERSION).orig.tar.gz ../last-$(DEB_UPSTREAM_VERSION).orig

## last-align 139

=== debian/changelog ===
last-align (139-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2010 11:22:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -62,9 +62,10 @@
                  $(CURDIR)/scripts/maf-convert.py > $(mandir)/maf-convert.1
 
 # The unzip command from the unzip package is needed for this one.
-# Please update debian/changelog before calling this target.
+# This target obtains the latest upstream version and not the latest packaged version
 get-orig-source:
-	[ -f ../last-$(DEB_UPSTREAM_VERSION).zip ] || uscan --force-download
-	unzip ../last-$(DEB_UPSTREAM_VERSION).zip -d..
-	mv ../last-$(DEB_UPSTREAM_VERSION) ../last-$(DEB_UPSTREAM_VERSION).orig
-	GZIP="--best --no-name" tar --create --gzip --file ../$(pkg)_$(DEB_UPSTREAM_VERSION).orig.tar.gz ../last-$(DEB_UPSTREAM_VERSION).orig
+	. debian/get-orig-source
+#	[ -f ../last-$(DEB_UPSTREAM_VERSION).zip ] || uscan --force-download
+#	unzip ../last-$(DEB_UPSTREAM_VERSION).zip -d..
+#	mv ../last-$(DEB_UPSTREAM_VERSION) ../last-$(DEB_UPSTREAM_VERSION).orig
+#	GZIP="--best --no-name" tar --create --gzip --file ../$(pkg)_$(DEB_UPSTREAM_VERSION).orig.tar.gz ../last-$(DEB_UPSTREAM_VERSION).orig

## last-align 146

=== debian/changelog ===
last-align (146-1) unstable; urgency=low

  * New upstream version
  * debian/rules:
    - Maf2html is not any more in the source so we need not to create
      the manpage
    - Use help2man to create maf-cull manpage
    - Remove src/lastex in clean target

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2010 19:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://last.cbrc.jp/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/last-align/trunk/

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
 
 clean::
-	$(RM) src/lastdb src/lastal src/*.o
+	$(RM) src/lastdb src/lastal src/lastex src/*.o
 
 binary-fixup/$(pkg)::
 	prename 's/.py$$//' debian/$(pkg)/usr/bin/*py
@@ -42,9 +42,9 @@
 	help2man --no-info --version-string="$(version)" \
                  --name="changes the order of the sequences in MAF-format alignments" \
                  $(CURDIR)/scripts/maf-swap.py > $(mandir)/maf-swap.1
-	help2man --no-info --version-string="$(version)" \
-                 --name="converts MAF-format alignments to a human-friendly HTML format" \
-                 $(CURDIR)/scripts/maf2html.py > $(mandir)/maf2html.1
+#	help2man --no-info --version-string="$(version)" \
+#                 --name="converts MAF-format alignments to a human-friendly HTML format" \
+#                 $(CURDIR)/scripts/maf2html.py > $(mandir)/maf2html.1
 	help2man --no-info --version-string="$(version)" \
                  --name="Add extra column with mapping probabilities" \
                  $(CURDIR)/scripts/last-map-probs.py > $(mandir)/last-map-probs.1
@@ -60,6 +60,9 @@
 	help2man --no-info --version-string="$(version)" \
                  --name="Convert MAF-format alignments to tabular format" \
                  $(CURDIR)/scripts/maf-convert.py > $(mandir)/maf-convert.1
+	help2man --no-info --version-string="$(version)" \
+                 --name="Cull alignments whose top\-sequence coordinates are contained in LIMIT or more" \
+                 $(CURDIR)/scripts/maf-cull.py > $(mandir)/maf-cull.1
 
 # The unzip command from the unzip package is needed for this one.
 # This target obtains the latest upstream version and not the latest packaged version

## last-align 159

=== debian/changelog ===
last-align (159-1) unstable; urgency=low

  * New upstream version
  * Debhelper 8 (control+compat)
  * debian/last-align.doc-base.last-align-manual: last-manual
    seems to have dropped in favour of last-tutorial and other
    smaller files
  * debian/rules: Call help2man for new additional script

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2011 23:29:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
+Build-Depends: debhelper (>= 8), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
 Standards-Version: 3.9.1
 Homepage: http://last.cbrc.jp/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/trunk/?rev=0&sc=0

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,9 @@
 	help2man --no-info --version-string="$(version)" \
                  --name="Cull alignments whose top\-sequence coordinates are contained in LIMIT or more" \
                  $(CURDIR)/scripts/maf-cull.py > $(mandir)/maf-cull.1
+	help2man --no-info --version-string="$(version)" \
+                 --name="Read alignments of paired DNA reads to a genome" \
+                 $(CURDIR)/scripts/last-pair-probs.py > $(mandir)/last-pair-probs.1
 
 # The unzip command from the unzip package is needed for this one.
 # This target obtains the latest upstream version and not the latest packaged version

## last-align 162

=== debian/changelog ===
last-align (162-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/patches/gcc-4.6.patch: Fix gcc-4.6 build error
    Closes: #625084

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2011 15:29:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -42,9 +42,6 @@
 	help2man --no-info --version-string="$(version)" \
                  --name="changes the order of the sequences in MAF-format alignments" \
                  $(CURDIR)/scripts/maf-swap.py > $(mandir)/maf-swap.1
-#	help2man --no-info --version-string="$(version)" \
-#                 --name="converts MAF-format alignments to a human-friendly HTML format" \
-#                 $(CURDIR)/scripts/maf2html.py > $(mandir)/maf2html.1
 	help2man --no-info --version-string="$(version)" \
                  --name="Add extra column with mapping probabilities" \
                  $(CURDIR)/scripts/last-map-probs.py > $(mandir)/last-map-probs.1
@@ -71,7 +68,3 @@
 # This target obtains the latest upstream version and not the latest packaged version
 get-orig-source:
 	. debian/get-orig-source
-#	[ -f ../last-$(DEB_UPSTREAM_VERSION).zip ] || uscan --force-download
-#	unzip ../last-$(DEB_UPSTREAM_VERSION).zip -d..
-#	mv ../last-$(DEB_UPSTREAM_VERSION) ../last-$(DEB_UPSTREAM_VERSION).orig
-#	GZIP="--best --no-name" tar --create --gzip --file ../$(pkg)_$(DEB_UPSTREAM_VERSION).orig.tar.gz ../last-$(DEB_UPSTREAM_VERSION).orig

## last-align 171

=== debian/changelog ===
last-align (171-1) unstable; urgency=low

  * New upstream release accepting gcc-4.6.patch (LP: #770770).
    - Deleted debian/patches and its contents.
  * Install changelog through CDBS (debian/rules, debian/docs).
  * Proofread debian/copyright and refreshed DEP-5 format.

 -- Charles Plessy <plessy@debian.org>  Mon, 16 May 2011 22:01:53 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://last.cbrc.jp/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/last-align/trunk/

## last-align 178

=== debian/changelog ===
last-align (178-1) unstable; urgency=low

  * New upstream release changing format of lastal output (r177).

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Jun 2011 13:53:03 +0900

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
   * Mapping lots of sequence tags onto a genome.
  .
  The main technical innovation is that LAST finds initial matches based on
- their multiplicity, instead of using a fixed size (e.g. BLAST uses 11-mers).
- This allows to map tags to genomes without repeat-masking, without becoming
+ their multiplicity, instead of using a fixed size (e.g. BLAST uses 10-mers).
+ This allows one to map tags to genomes without repeat-masking, without becoming
  overwhelmed by repetitive hits. To find these variable-sized matches, it uses
  a suffix array (inspired by Vmatch). To achieve high sensitivity, it uses a
  discontiguous suffix array, analogous to spaced seeds.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 
 DEB_MAKE_BUILD_TARGET   = --directory src
+DEB_INSTALL_CHANGELOGS_ALL = ChangeLog.txt
 
 pkg=last-align
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
@@ -22,7 +23,6 @@
 binary-fixup/$(pkg)::
 	prename 's/.py$$//' debian/$(pkg)/usr/bin/*py
 	prename 's/.sh$$//' debian/$(pkg)/usr/bin/*sh
-	mv debian/$(pkg)/usr/share/doc/$(pkg)/ChangeLog.txt.gz debian/$(pkg)/usr/share/doc/$(pkg)/changelog.gz
 
 # try to create man pages whereever possible
 build/$(pkg)::

## last-align 184

=== debian/changelog ===
last-align (184-1ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 21:40:04 +0100

last-align (184-1) unstable; urgency=low

  * New upstream release.
  * Corrected VCS URLs (debian/control).
  * Compress source and binary package with xz
    (debian/get-orig-source, debian/rules).

 -- Charles Plessy <plessy@debian.org>  Sat, 17 Sep 2011 20:31:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: last-align
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
 Standards-Version: 3.9.2
 Homepage: http://last.cbrc.jp/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/last-align/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/last-align/trunk/
 
 Package: last-align
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: python, python-imaging
 Description: genome-scale comparison of biological sequences

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 DEB_MAKE_BUILD_TARGET   = --directory src
 DEB_INSTALL_CHANGELOGS_ALL = ChangeLog.txt
+DEB_DH_BUILDDEB_ARGS       = -- -Z xz
 
 pkg=last-align
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )

## last-align 189

=== debian/changelog ===
last-align (189-1) unstable; urgency=low

  * New upstream release.
  * Autogenerate a manual page for last-merge-batches (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Sat, 22 Oct 2011 18:32:17 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: last-align
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,9 @@
                  --name="Add extra column with mapping probabilities" \
                  $(CURDIR)/scripts/last-map-probs.py > $(mandir)/last-map-probs.1
 	help2man --no-info --version-string="$(version)" \
+                 --name="Read files of lastal output, merge corresponding batches, and write them." \
+                 $(CURDIR)/scripts/last-merge-batches.py > $(mandir)/last-merge-batches.1
+	help2man --no-info --version-string="$(version)" \
                  --name="Clean up MAF-format alignments" \
                  $(CURDIR)/scripts/last-reduce-alignments.sh > $(mandir)/last-reduce-alignments.1
 	help2man --no-info --version-string="$(version)" \

## last-align 193

=== debian/changelog ===
last-align (193-1) unstable; urgency=low

  * New upstream version
  * debian/upstream: Removed duplicate entries for DOI/PMID
  * debian/control: Standards-Version: 3.9.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Mar 2012 14:34:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://last.cbrc.jp/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/last-align/trunk/

## last-align 198

=== debian/changelog ===
last-align (198-1) unstable; urgency=low

  * New upstream version
  * debian/rules,debian/get-orig-source: Simplified downloading original
    source
  * debhelper 9 to enable hardening flags (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Apr 2012 14:16:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
+Build-Depends: debhelper (>= 9), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
 Standards-Version: 3.9.3
 Homepage: http://last.cbrc.jp/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,6 @@
                  --name="Read alignments of paired DNA reads to a genome" \
                  $(CURDIR)/scripts/last-pair-probs.py > $(mandir)/last-pair-probs.1
 
-# The unzip command from the unzip package is needed for this one.
-# This target obtains the latest upstream version and not the latest packaged version
 get-orig-source:
-	. debian/get-orig-source
+	mkdir -p ../tarballs
+	uscan --verbose --force-download --repack --rename --destdir=../tarballs

## last-align 199

=== debian/changelog ===
last-align (199-1) unstable; urgency=low

  [ Charles Plessy ]
  * Summarise LAST license in debian/copyright header.

  [ Andreas Tille ]
  * New upstream version
    Closes: #667939
  * debian/rules:
     - switch from cdbs to dh
     - add help2man call for lastex
  * debian/install:
     - removed to use upstream install target (which also installs
       lastex)
  * debian/copyright: Make Source field more generic

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2012 13:28:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, help2man (>= 1.36.4+nmu1), python-imaging
+Build-Depends: debhelper (>= 9), help2man (>= 1.36.4+nmu1), python-imaging
 Standards-Version: 3.9.3
 Homepage: http://last.cbrc.jp/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/

=== debian/rules ===
--- 
+++ 
@@ -6,27 +6,27 @@
 # 
 # http://debian-med.alioth.debian.org/docs/policy.html
 
-include /usr/share/cdbs/1/rules/debhelper.mk
-# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/class/makefile.mk
-
-DEB_MAKE_BUILD_TARGET   = --directory src
-DEB_INSTALL_CHANGELOGS_ALL = ChangeLog.txt
-DEB_DH_BUILDDEB_ARGS       = -- -Z xz
-
-pkg=last-align
+pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
 mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
 
-clean::
-	$(RM) src/lastdb src/lastal src/lastex src/*.o
+# Copy upstream CXXFLAGS here because makefile enables only overriding them
+CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic
+# -Wconversion
+# -fomit-frame-pointer ?
 
-binary-fixup/$(pkg)::
+%:
+	dh  $@
+
+override_dh_auto_build:
+	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+
+override_dh_auto_install:
+	make install prefix=$(CURDIR)/debian/$(pkg)/usr
 	prename 's/.py$$//' debian/$(pkg)/usr/bin/*py
 	prename 's/.sh$$//' debian/$(pkg)/usr/bin/*sh
 
-# try to create man pages whereever possible
-build/$(pkg)::
+        # try to create man pages whereever possible
 	mkdir -p $(mandir)
 	help2man --no-info --name='make a dotplot, a.k.a. Oxford Grid, of alignments in LAST tabular format' \
 	    --version-string="$(version)" \
@@ -37,6 +37,9 @@
 	help2man --no-info --name="genome-scale comparison of biological sequences" \
 	    --version-string="$(version)" --help-option="-h" \
                  $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
+	help2man --no-info --name="Calculate expected numbers of alignments for random sequences." \
+	    --version-string="$(version)" --help-option="-h" \
+                 $(CURDIR)/src/lastex > $(mandir)/lastex.1
 	help2man --no-info --version-string="$(version)" \
                  --name="Sort MAF-format alignments by sequence name" \
                  $(CURDIR)/scripts/maf-sort.sh > $(mandir)/maf-sort.1
@@ -68,6 +71,9 @@
                  --name="Read alignments of paired DNA reads to a genome" \
                  $(CURDIR)/scripts/last-pair-probs.py > $(mandir)/last-pair-probs.1
 
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog.txt
+
 get-orig-source:
 	mkdir -p ../tarballs
 	uscan --verbose --force-download --repack --rename --destdir=../tarballs

=== debian/watch ===
version=3
http://last.cbrc.jp/archive/last-(.*).zip

## last-align 359

=== debian/changelog ===
last-align (359-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed Pre-Depends on dpkg as Ubuntu LTS is released.
    - Removed obsolete DM-Upload-Allowed field.
    - Use canonical VCS URLs.
    - Normalised with config-model-edit.
    - Removed version constraint on help2man, satisfied in oldstable.
    - Mark conformance with Policy version 3.9.4.
  * debian/watch: updated.
  * debian/rules:
    - Restore xz compression of the binary packages.
    - Produce a manual page for ‘last-split’ with help2man.

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Oct 2013 12:16:12 +0900

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: last-align
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), help2man (>= 1.36.4+nmu1), python-imaging
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               help2man,
+               python-imaging
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/last-align/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/last-align/trunk/
 Homepage: http://last.cbrc.jp/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/last-align/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/last-align/trunk/
 
 Package: last-align
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: python, python-imaging
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: python,
+            python-imaging
 Description: genome-scale comparison of biological sequences
  LAST is software for comparing and aligning sequences, typically DNA or
  protein sequences. LAST is similar to BLAST, but it copes better with very

=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,9 @@
                  --name='Remove MAF-format alignments which are "dominated" by others' \
                  $(CURDIR)/scripts/last-remove-dominated.py > $(mandir)/last-remove-dominated.1
 	help2man --no-info --version-string="$(version)" \
+                 --name='Estimates "split" or "spliced" alignments.' \
+                 $(CURDIR)/src/last-split > $(mandir)/last-split.1
+	help2man --no-info --version-string="$(version)" \
                  --name="Join two or more sets of MAF-format multiple alignments" \
                  $(CURDIR)/scripts/maf-join.py > $(mandir)/maf-join.1
 	help2man --no-info --version-string="$(version)" \
@@ -74,6 +77,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt
 
+override_dh_builddeb:
+	dh_builddeb -- -Z xz
+
 get-orig-source:
 	mkdir -p ../tarballs
 	uscan --verbose --force-download --repack --rename --destdir=../tarballs

## last-align 393

=== debian/changelog ===
last-align (393-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * debian/rules: Adapt help2man to the fact that two scripts were
    deleted from upstream source (no idea how to write manpages for the
    new parallel-* scripts)
  * Adapt doc-base control script (text file might be uncompressed)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2014 17:57:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                help2man,
                python-imaging
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/last-align/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/last-align/trunk/
 Homepage: http://last.cbrc.jp/

=== debian/rules ===
--- 
+++ 
@@ -52,12 +52,13 @@
 	help2man --no-info --version-string="$(version)" \
                  --name="Read files of lastal output, merge corresponding batches, and write them." \
                  $(CURDIR)/scripts/last-merge-batches.py > $(mandir)/last-merge-batches.1
-	help2man --no-info --version-string="$(version)" \
-                 --name="Clean up MAF-format alignments" \
-                 $(CURDIR)/scripts/last-reduce-alignments.sh > $(mandir)/last-reduce-alignments.1
-	help2man --no-info --version-string="$(version)" \
-                 --name='Remove MAF-format alignments which are "dominated" by others' \
-                 $(CURDIR)/scripts/last-remove-dominated.py > $(mandir)/last-remove-dominated.1
+        # These scripts were droped
+	#help2man --no-info --version-string="$(version)" \
+        #         --name="Clean up MAF-format alignments" \
+        #         $(CURDIR)/scripts/last-reduce-alignments.sh > $(mandir)/last-reduce-alignments.1
+	#help2man --no-info --version-string="$(version)" \
+        #         --name='Remove MAF-format alignments which are "dominated" by others' \
+        #         $(CURDIR)/scripts/last-remove-dominated.py > $(mandir)/last-remove-dominated.1
 	help2man --no-info --version-string="$(version)" \
                  --name='Estimates "split" or "spliced" alignments.' \
                  $(CURDIR)/src/last-split > $(mandir)/last-split.1

=== debian/watch ===
version=3
http://last.cbrc.jp/last-(.*).zip

## last-align 457

=== debian/changelog ===
last-align (457-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Tille <tille@debian.org>  Tue, 20 May 2014 15:01:38 +0200

last-align (418-1) unstable; urgency=medium

  * New upstream release
  * debian/upstream -> debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 21 Mar 2014 14:57:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -49,10 +49,10 @@
 	help2man --no-info --version-string="$(version)" \
                  --name="Add extra column with mapping probabilities" \
                  $(CURDIR)/scripts/last-map-probs.py > $(mandir)/last-map-probs.1
-	help2man --no-info --version-string="$(version)" \
-                 --name="Read files of lastal output, merge corresponding batches, and write them." \
-                 $(CURDIR)/scripts/last-merge-batches.py > $(mandir)/last-merge-batches.1
         # These scripts were droped
+	#help2man --no-info --version-string="$(version)" \
+        #         --name="Read files of lastal output, merge corresponding batches, and write them." \
+        #         $(CURDIR)/scripts/last-merge-batches.py > $(mandir)/last-merge-batches.1
 	#help2man --no-info --version-string="$(version)" \
         #         --name="Clean up MAF-format alignments" \
         #         $(CURDIR)/scripts/last-reduce-alignments.sh > $(mandir)/last-reduce-alignments.1
@@ -83,4 +83,4 @@
 
 get-orig-source:
 	mkdir -p ../tarballs
-	uscan --verbose --force-download --repack --rename --destdir=../tarballs
+	uscan --verbose --force-download --repack --compression xz --destdir=../tarballs

## last-align 475

=== debian/changelog ===
last-align (475-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - removed compression command, as it is now the default. 
    - removed manual page of last-merge-batches.py.
  * debian/control: suggest GNU parallel.
  * debian/README.source: removed as conversion from zip is now automagic. 

 -- Charles Plessy <plessy@debian.org>  Sat, 16 Aug 2014 15:20:37 +0900

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
          ${misc:Depends}
 Recommends: python,
             python-imaging
+Suggests: parallel
 Description: genome-scale comparison of biological sequences
  LAST is software for comparing and aligning sequences, typically DNA or
  protein sequences. LAST is similar to BLAST, but it copes better with very

=== debian/rules ===
#!/usr/bin/make -f

# This package is maintained by the Debian Med packaging team. Please refer to
# our group policy if you would like to commit to our Subversion repository. All
# Debian developpers have write acces to it.
# 
# http://debian-med.alioth.debian.org/docs/policy.html

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/

# Copy upstream CXXFLAGS here because makefile enables only overriding them
CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic
# -Wconversion
# -fomit-frame-pointer ?

%:
	dh  $@

override_dh_auto_build:
	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

HELP2MAN = help2man --no-info --version-string="$(version)"

override_dh_auto_install:
	make install prefix=$(CURDIR)/debian/$(pkg)/usr
	prename 's/.py$$//' debian/$(pkg)/usr/bin/*py
	prename 's/.sh$$//' debian/$(pkg)/usr/bin/*sh

        # try to create man pages whereever possible
	mkdir -p $(mandir)
	$(HELP2MAN) \
		 --name='make a dotplot, a.k.a. Oxford Grid, of alignments in LAST tabular format' \
	         $(CURDIR)/scripts/last-dotplot.py > $(mandir)/last-dotplot.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(CURDIR)/src/lastal > $(mandir)/lastal.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
	$(HELP2MAN) \
		 --name="Calculate expected numbers of alignments for random sequences." \
	         --help-option="-h" \
                 $(CURDIR)/src/lastex > $(mandir)/lastex.1
	$(HELP2MAN) \
                 --name="Sort MAF-format alignments by sequence name" \
                 $(CURDIR)/scripts/maf-sort.sh > $(mandir)/maf-sort.1
	$(HELP2MAN) \
                 --name="changes the order of the sequences in MAF-format alignments" \
                 $(CURDIR)/scripts/maf-swap.py > $(mandir)/maf-swap.1
	$(HELP2MAN) \
                 --name="Add extra column with mapping probabilities" \
                 $(CURDIR)/scripts/last-map-probs.py > $(mandir)/last-map-probs.1
	# This script has not enough to put in a manual page.
	#$(HELP2MAN) \
        #         --name="Read files of lastal output, merge corresponding batches, and write them." \
        #         $(CURDIR)/scripts/last-merge-batches.py > $(mandir)/last-merge-batches.1
        # These scripts were droped
	#$(HELP2MAN) \
        #         --name="Clean up MAF-format alignments" \
        #         $(CURDIR)/scripts/last-reduce-alignments.sh > $(mandir)/last-reduce-alignments.1
	#$(HELP2MAN) \
        #         --name='Remove MAF-format alignments which are "dominated" by others' \
        #         $(CURDIR)/scripts/last-remove-dominated.py > $(mandir)/last-remove-dominated.1
	$(HELP2MAN) \
                 --name='Estimates "split" or "spliced" alignments.' \
                 $(CURDIR)/src/last-split > $(mandir)/last-split.1
	$(HELP2MAN) \
                 --name="Join two or more sets of MAF-format multiple alignments" \
                 $(CURDIR)/scripts/maf-join.py > $(mandir)/maf-join.1
	$(HELP2MAN) \
                 --name="Convert MAF-format alignments to tabular format" \
                 $(CURDIR)/scripts/maf-convert.py > $(mandir)/maf-convert.1
	$(HELP2MAN) \
                 --name="Cull alignments whose top\-sequence coordinates are contained in LIMIT or more" \
                 $(CURDIR)/scripts/maf-cull.py > $(mandir)/maf-cull.1
	$(HELP2MAN) \
                 --name="Read alignments of paired DNA reads to a genome" \
                 $(CURDIR)/scripts/last-pair-probs.py > $(mandir)/last-pair-probs.1

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --rename --destdir=../tarballs
